All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# SqlDatabase

Bindings for the SqlDatabase class.

## Properties

None

## Methods

addDatabase(...)
addDatabase2(...)
child(...)
childCount(...)
children(...)
className(...)
close(...)
commit(...)
connect(...)
deleteLater(...)
disconnect(...)
drivers(...)
exec(...)
getAttribute(...)
getElementById(...)
getParentNode(...)
hasAttribute(...)
isOpen(...)
isOpenError(...)
isWidgetType(...)
open(...)
open2(...)
parent(...)
properties(...)
rollback(...)
setAttribute(...)
signals(...)
slots(...)
superClassName(...)
tables(...)
transaction(...)

## Qt Properties

Type | Name | Value
--- | --- | ---
QString | databaseName |
QString | driverName |
QString | hostName |
QString | lastError | No Database Driver Loaded
QCString | name | unnamed
QString | password |
int | port | 0
QString | userName |

## Qt Signals

destroyed()
destroyed(QObject*)

## Qt Slots

bool | addDatabase(const QString&)
bool | addDatabase(const QString&,const QString&)
void | cleanupEventFilter(QObject*)
void | close()
bool | commit()
void | deleteLater()
QVariant | drivers()
SqlQuery | exec(const QString&)
bool | isOpen()
bool | isOpenError()
QString | lastError()
bool | open()
bool | open(const QString&,const QString&)
bool | rollback()
QVariant | tables()
bool | transaction()